<div class="container">
  <form novalidate (ngSubmit)="updateSpace()" #updateSpaceForm="ngForm">
    <mat-form-field>
      <input matInput required [(ngModel)]="space.name" placeholder="Name" name="name">
      <mat-error *ngIf="updateSpaceForm.controls.name?.errors?.required">Name is required</mat-error>
    </mat-form-field>

    <mat-form-field class="example-full-width">
      <input matInput disabled [(ngModel)]="selectedName" placeholder="Location" name="location">
    </mat-form-field>

    <div class="center">
      <button mat-button type="submit" [disabled]="!updateSpaceForm.valid" name="update-space">Update space</button>
    </div>

  </form>
</div>
